Get folder in directory version at time
Retrieves the version of the directory FOLDER associated with the EHR identified by ehr_id.
If version_at_time is supplied, retrieves the version extant at specified time, otherwise retrieves the latest directory FOLDER version.
If path is supplied, retrieves from the directory only the sub-FOLDER that is associated with that path.
- Type: string
ehr _id requiredEHR identifier taken from EHR.ehr_id.value.
- Type: string
version _at _time A given time in the extended ISO 8601 format.
- Type: string
path A path to a sub-folder; consists of slash-separated values of the name attribute of FOLDERs in the directory.
- application/json
204 204 No Contentis returned when the resource identified by the request parameters (at specifiedversion_at_time) time has been deleted.404 404 Not Foundis returned when an EHR withehr_iddoes not exist, or when a directory does not exist at the specifiedversion_at_time, or whenpathdoes not exists within the directory.
curl 'https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/directory?version_at_time=2015-01-20T19%3A30%3A22.765%2B01%3A00&path=episodes%2Fa%2Fb%2Fc'
{
"archetype_node_id": "openEHR-EHR-FOLDER.directory.v1",
"name": {
"value": "Directory"
},
"uid": {
"_type": "OBJECT_VERSION_ID",
"value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
},
"items": [],
"folders": []
}